godo.ActionGateway.OutputViews.Delete()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.ActionGateway.OutputViews.Delete(ctx context.Context, viewID string) (*godo.ActionGatewayOutputViewResponse, *godo.Response, error)

Description

Delete deletes an output view.

This method sends a DELETE request to /v2/action-gateway/output-views/{}.

Parameters

viewID string required

Returns

*godo.ActionGatewayOutputViewResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.ActionGatewayOutputViewResponse

ActionGatewayOutputViewResponse contains one view.

View *godo.ActionGatewayOutputView

JSON key: view

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.ActionGateway.OutputViews.Delete(ctx, "<your-view-id>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

Response Example

Show Response Example
{
  "view": {
    "view_id": "ov_4f0c2a9d8e1b47c6a3d5f7e9b1c3a5d7",
    "tool_id": "tul_exa_web_search",
    "tool": "exa_web_search",
    "version": "v1",
    "team_id": "123456",
    "name": "titles-and-urls",
    "description": "Keep only result titles and URLs.",
    "kind": "OUTPUT_VIEW_KIND_PROJECTION",
    "fields": [
      "results.title",
      "results.url"
    ],
    "output_schema": {
      "type": "object",
      "properties": {
        "results": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "title": {
                "type": "string"
              },
              "url": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "audit": {
      "createdAt": "2026-09-01T16:00:00Z",
      "updatedAt": "2026-09-10T08:00:00Z",
      "deletedAt": "2026-09-10T08:00:00Z"
    }
  }
}

More Information

See DELETE /v2/action-gateway/output-views/{} in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.